## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl
Class SybaseASEUserDefinedTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
                                      org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl
                                          org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl
                                              org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEUserDefinedTypeImpl

All Implemented Interfaces:
  SybaseASEUserDefinedType, DataType, DistinctUserDefinedType, UserDefinedType, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SybaseASECatalogUserDefinedType

    public class SybaseASEUserDefinedTypeImpl

extends org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl
implements SybaseASEUserDefinedType

An implementation of the model object 'Sybase ASE User Defined Type'.

The following features are implemented:

- `Bound Default`
- `Bound Rule`
- `Bind Default In Future Only`
- `Bind Rule In Future Only`
- `Allow Nulls`
- `Identity`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`SybaseASEDefault` `basicGetBoundDefault()`
`SybaseASERule` `basicGetBoundRule()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`SybaseASEDefault` `getBoundDefault()`
`SybaseASERule` `getBoundRule()`
`boolean` `isAllowNulls()`
`boolean` `isBindDefaultInFutureOnly()`
`boolean` `isBindRuleInFutureOnly()`
`boolean` `isIdentity()`
`void` `setAllowNulls(boolean newAllowNulls)`
`void` `setBindDefaultInFutureOnly(boolean newBindDefaultInFutureOnly)`
`void` `setBindRuleInFutureOnly(boolean newBindRuleInFutureOnly)`
`void` `setBoundDefault(SybaseASEDefault newBoundDefault)`
`void` `setBoundRule(SybaseASERule newBoundRule)`
`void` `setIdentity(boolean newIdentity)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl
`basicSetPredefinedRepresentation, eInverseRemove, getPredefinedRepresentation, setPredefinedRepresentation`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl
`basicGetSchema, basicSetOrdering, basicSetSchema, eInverseAdd, getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
`setContainer`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DistinctUserDefinedType
`getPredefinedRepresentation, setPredefinedRepresentation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.UserDefinedType
`getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getBoundDefault

    public SybaseASEDefault getBoundDefault()

  Specified by:
    `getBoundDefault` in interface `SybaseASEUserDefinedType`
  Returns:
    the value of the 'Bound Default' reference.
  See Also:
    `SybaseASEUserDefinedType.setBoundDefault(SybaseASEDefault)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_BoundDefault()`

### basicGetBoundDefault

    public SybaseASEDefault basicGetBoundDefault()

### setBoundDefault

    public void setBoundDefault(SybaseASEDefault newBoundDefault)

  Specified by:
    `setBoundDefault` in interface `SybaseASEUserDefinedType`
  Parameters:
    `newBoundDefault` - the new value of the 'Bound Default' reference.
  See Also:
    `SybaseASEUserDefinedType.getBoundDefault()`

### getBoundRule

    public SybaseASERule getBoundRule()

  Specified by:
    `getBoundRule` in interface `SybaseASEUserDefinedType`
  Returns:
    the value of the 'Bound Rule' reference.
  See Also:
    `SybaseASEUserDefinedType.setBoundRule(SybaseASERule)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_BoundRule()`

### basicGetBoundRule

    public SybaseASERule basicGetBoundRule()

### setBoundRule

    public void setBoundRule(SybaseASERule newBoundRule)

  Specified by:
    `setBoundRule` in interface `SybaseASEUserDefinedType`
  Parameters:
    `newBoundRule` - the new value of the 'Bound Rule' reference.
  See Also:
    `SybaseASEUserDefinedType.getBoundRule()`

### isBindDefaultInFutureOnly

    public boolean isBindDefaultInFutureOnly()

  Specified by:
    `isBindDefaultInFutureOnly` in interface `SybaseASEUserDefinedType`
  Returns:
    the value of the 'Bind Default In Future Only' attribute.
  See Also:
    `SybaseASEUserDefinedType.setBindDefaultInFutureOnly(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_BindDefaultInFutureOnly()`

### setBindDefaultInFutureOnly

    public void setBindDefaultInFutureOnly(boolean newBindDefaultInFutureOnly)

  Specified by:
    `setBindDefaultInFutureOnly` in interface `SybaseASEUserDefinedType`
  Parameters:
    `newBindDefaultInFutureOnly` - the new value of the 'Bind Default In Future Only' attribute.
  See Also:
    `SybaseASEUserDefinedType.isBindDefaultInFutureOnly()`

### isBindRuleInFutureOnly

    public boolean isBindRuleInFutureOnly()

  Specified by:
    `isBindRuleInFutureOnly` in interface `SybaseASEUserDefinedType`
  Returns:
    the value of the 'Bind Rule In Future Only' attribute.
  See Also:
    `SybaseASEUserDefinedType.setBindRuleInFutureOnly(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_BindRuleInFutureOnly()`

### setBindRuleInFutureOnly

    public void setBindRuleInFutureOnly(boolean newBindRuleInFutureOnly)

  Specified by:
    `setBindRuleInFutureOnly` in interface `SybaseASEUserDefinedType`
  Parameters:
    `newBindRuleInFutureOnly` - the new value of the 'Bind Rule In Future Only' attribute.
  See Also:
    `SybaseASEUserDefinedType.isBindRuleInFutureOnly()`

### isAllowNulls

    public boolean isAllowNulls()

  Specified by:
    `isAllowNulls` in interface `SybaseASEUserDefinedType`
  Returns:
    the value of the 'Allow Nulls' attribute.
  See Also:
    `SybaseASEUserDefinedType.setAllowNulls(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_AllowNulls()`

### setAllowNulls

    public void setAllowNulls(boolean newAllowNulls)

  Specified by:
    `setAllowNulls` in interface `SybaseASEUserDefinedType`
  Parameters:
    `newAllowNulls` - the new value of the 'Allow Nulls' attribute.
  See Also:
    `SybaseASEUserDefinedType.isAllowNulls()`

### isIdentity

    public boolean isIdentity()

  Specified by:
    `isIdentity` in interface `SybaseASEUserDefinedType`
  Returns:
    the value of the 'Identity' attribute.
  See Also:
    `SybaseASEUserDefinedType.setIdentity(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_Identity()`

### setIdentity

    public void setIdentity(boolean newIdentity)

  Specified by:
    `setIdentity` in interface `SybaseASEUserDefinedType`
  Parameters:
    `newIdentity` - the new value of the 'Identity' attribute.
  See Also:
    `SybaseASEUserDefinedType.isIdentity()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`